com.pivotal.gemfirexd.internal.client.am

## Class DisconnectException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.pivotal.gemfirexd.internal.client.am.SqlException
      - - com.pivotal.gemfirexd.internal.client.am.DisconnectException

All Implemented Interfaces:
  Diagnosable, Serializable

    public class DisconnectException
    extends SqlException

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class com.pivotal.gemfirexd.internal.client.am.SqlException

`args_, BATCH_POSITION_ID, cachedMessage_, CAUSED_BY_EXCEPTION_ID, causeString_, CLIENT_MESSAGE_RESOURCE_NAME, DEFAULT_ERRCODE, errorcode_, message_, msgid_, nextException_, sqlca_, sqlstate_, throwable_, wrappedException_`

### Constructor Summary

Constructors
Constructor and Description
`DisconnectException(Agent agent, ClientMessageId msgid)`
`DisconnectException(Agent agent, ClientMessageId msgid, Object arg1)`
`DisconnectException(Agent agent, ClientMessageId msgid, Object[] args)`
`DisconnectException(Agent agent, ClientMessageId msgid, Object[] args, SqlCode sqlcode)`
`DisconnectException(Agent agent, ClientMessageId msgid, Object[] args, SqlCode sqlcode, Throwable t)`
`DisconnectException(Agent agent, ClientMessageId msgid, Object[] args, Throwable t)`
`DisconnectException(Agent agent, ClientMessageId msgid, Object arg1, Object arg2)`
`DisconnectException(Agent agent, ClientMessageId msgid, Object arg1, Throwable t)`
`DisconnectException(Agent agent, ClientMessageId msgid, SqlCode sqlcode)`
`DisconnectException(Agent agent, Sqlca sqlca)`
`DisconnectException(Agent agent, SqlException e)`

### Method Summary

### Methods inherited from class com.pivotal.gemfirexd.internal.client.am.SqlException

`getErrorCode, getMessage, getMessageUtil, getNextException, getSqlca, getSQLException, getSQLException, getSQLState, javaException, printTrace, setNextException, setNextException, toString`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DisconnectException

    public DisconnectException(Agent agent,
                       ClientMessageId msgid,
                       Object[] args,
                       SqlCode sqlcode,
                       Throwable t)

#### DisconnectException

    public DisconnectException(Agent agent,
                       ClientMessageId msgid,
                       Object[] args,
                       SqlCode sqlcode)

#### DisconnectException

    public DisconnectException(Agent agent,
                       ClientMessageId msgid,
                       SqlCode sqlcode)

#### DisconnectException

    public DisconnectException(Agent agent,
                       ClientMessageId msgid,
                       Object[] args)

#### DisconnectException

    public DisconnectException(Agent agent,
                       ClientMessageId msgid,
                       Object[] args,
                       Throwable t)

#### DisconnectException

    public DisconnectException(Agent agent,
                       ClientMessageId msgid,
                       Object arg1,
                       Throwable t)

#### DisconnectException

    public DisconnectException(Agent agent,
                       ClientMessageId msgid)

#### DisconnectException

    public DisconnectException(Agent agent,
                       ClientMessageId msgid,
                       Object arg1)

#### DisconnectException

    public DisconnectException(Agent agent,
                       ClientMessageId msgid,
                       Object arg1,
                       Object arg2)

#### DisconnectException

    public DisconnectException(Agent agent,
                       SqlException e)

#### DisconnectException

    public DisconnectException(Agent agent,
                       Sqlca sqlca)